package com.zipcoder.payment;

import java.util.Arrays;
import java.util.Comparator;

public class PaymentPresenter {

    PaymentSortByPayer payementSort = new PaymentSortByPayer();

    public String toString(Payment[] payments){
        StringBuilder desc = new StringBuilder();
        Arrays.sort(payments, payementSort);
        for(Payment pay: payments){
            desc.append(pay.getShortDescrption()+"\n");
        }
        return desc.toString();
    }

    public String toStringByPayerName(Payment[] payments){
        StringBuilder desc = new StringBuilder();
        Arrays.sort(payments, Comparator.comparing(Payment::getPayerName));
        for(Payment pay: payments){
            desc.append(pay.getShortDescrption()+"\n");
        }
        return desc.toString();
    }

    public String toStringById(Payment[] payments){
        StringBuilder desc = new StringBuilder();
        Arrays.sort(payments, (Payment o1, Payment o2)->Long.compare(o2.getId(), o1.getId()));
        for(Payment pay: payments){
            desc.append(pay.getShortDescrption()+"\n");
        }
        return desc.toString();
    }



}
